## cobbler-enlist 0.2

=== debian/changelog ===
cobbler-enlist (0.2-1) oneiric; urgency=low

  * debian/cobbler-enlist-udeb.templates: Updated warning-note template to 
    provide details, and a warning. (LP: #862567)
  * debian/cobbler-enlist-udeb.postinst: Provided speech-marks for execute
    stanza.
  * debian/cobbler-enlist.README.Debian: Initial document, including warning
    that enlistment is sent without encryption. (LP: #862567)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 28 Sep 2011 00:43:36 +0100

cobbler-enlist (0.1-2) oneiric; urgency=low

  * debian/control: Bumped menu item number to 2350, inserting enlist to the
    correct menu stage.
  * debian/cobbler-enlist-udeb.templates: 
    - Changed cobbler-server-password to be of type password.
    - Dropped cobbler-enlist/host-netif stanza, it's not currently used.
    - Renamed skip-halt-note -> halt-note, and changed type to note.
  * debian/cobbler-enlist-udeb.postinst: Added poweroff support, and removed
    host-netif stanza.
  * debian/po/templates.pot: Updated to reflect changes.
 
 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 27 Sep 2011 12:18:45 +0100

cobbler-enlist (0.1-1) oneiric; urgency=low

  * Initial release. (LP: #831496)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 02 Aug 2011 15:49:55 +0100

## cobbler-enlist 0.3

=== Makefile ===
LIBS = -lxmlrpc -lxmlrpc_util -lxmlrpc_client

all: cobbler-enlist

cobbler-enlist:
	$(CC) -o cobbler-enlist cobbler-enlist.c $(LIBS) -Wall

#install:
#	install cobbler-enlist $(DESTDIR)/usr/bin/

clean:
	rm -f cobbler-enlist

=== debian/changelog ===
cobbler-enlist (0.3-1) precise; urgency=low

  * Add support for multiple network interfaces (convert enlister->netif
    to linked list enlister->netifs).  When no interfaces specified, defaults
    to registering all interfaces on the system. (LP: #868492)

 -- Adam Gandelman <adamg@canonical.com>  Mon, 21 Nov 2011 11:40:37 -0800

cobbler-enlist (0.2-1build2) precise; urgency=low

  * Rebuild for libxmlrpc-core-c3-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Nov 2011 11:06:17 +0000

cobbler-enlist (0.2-1build1) precise; urgency=low

  * Rebuild for libxmlrpc-core-c3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Nov 2011 16:21:09 +0000

=== debian/control ===
Source: cobbler-enlist
Section: admin
Priority: extra
Maintainer: Dave Walker (Daviey) <DaveWalker@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 po-debconf,
 libxmlrpc-core-c3-dev
Standards-Version: 3.9.2
Homepage: http://ubuntu.com

Package: cobbler-enlist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cobbler enlistment tool
 Tool for enlisting a host with a cobbler server.

Package: cobbler-enlist-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 configured-network
XB-Installer-Menu-Item: 2350
Description: Enlist a host with a cobbler server (installer integration)
